<template>

<p>{{ message }}</p>
<input type="text" v-model="message"> <span :class="{error: message.length > 10}">{{ message.length }}/10</span>
<p v-if="message.length > 10">The message is too long.</p>

</template>

<script setup lang="ts">
import { ref } from 'vue';


const message = ref('Something');

</script>

<style scoped>
.error {
    color: red;
}

</style>